srstepwise {BART} | R Documentation

## Stepwise Variable Selection Procedure for survreg

### Description

This stepwise variable selection procedure can be applied to obtain the best candidates for a `survreg` fit.

### Usage

    srstepwise(x, times, delta, sle = 0.15, sls = 0.15, dist='lognormal')

### Arguments

`x` | Matrix of variables to consider.
`times` | The time to an event, if any.
`delta` | The event indicator: 1 for event, 0 for no event.
`sle` | The chosen significance level for entering.
`sls` | The chosen significance level for staying.
`dist` | The distribution to be used by `survreg`.

### Details

Unfortunately, no stepwise procedure exists for `survreg` models. Therefore, we provide this brute force method.

### Value

Returns a list of indices of variables which have entered and stayed.

### See Also

lung

### Examples

    names. <- names(lung)[-(2:3)]
    status1 <- ifelse(lung$status==2,1,0)
    X <- as.matrix(lung)[ , names.]
    vars=srstepwise(X, lung$time, status1)
    print(names.[vars])

[Package BART version 2.5 Index]